Search Dashboard Version

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securableversion
API call form
Examples

SecurableVersions are automatically created and updated by Luzmo when a Dashboard is updated . They are used to store the version of the Dashboard at the time of the update, and are used to determine which version of the Dashboard to display when embedding (depending on the environment property).

In order to publish or unpublish a Dashboard version, you can first retrieve the SecurableVersions of a given dashboard, and then update environment property of the corresponding SecurableVersions (see Update SecurableVersion ).

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id STRING
name Multilingual string
created_at DATETIME
updated_at DATETIME
securable_id STRING
Can be executed by:
Dashboard Reader
Can be associated to:
Securable
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 3,
  "rows": [
    {
      "id": "98632716-59c4-4ff1-b696-dd95d8d3b4f9",
      "name": {
        "en": "Dashboard name"
      },
      "securable_id": "c25b2053-a44e-4748-8310-1a797f6d16ed",
      "created_at": "2025-03-04T14:10:16.717Z",
      "updated_at": "2025-03-04T14:10:16.717Z",
      "environment": null
    },
    {
      "id": "337352eb-6eab-4183-b657-c0e5cb243695",
      "name": {
        "en": "Dashboard name"
      },
      "securable_id": "c25b2053-a44e-4748-8310-1a797f6d16ed",
      "created_at": "2025-03-04T13:49:56.285Z",
      "updated_at": "2025-03-04T13:49:56.285Z",
      "environment": "production"
    },
    {
      "id": "a785a16a-600e-4234-9e0f-15ce707e580e",
      "name": {
        "en": "Dashboard name"
      },
      "securable_id": "c25b2053-a44e-4748-8310-1a797f6d16ed",
      "created_at": "2025-02-25T18:53:18.818Z",
      "updated_at": "2025-02-25T18:53:18.818Z",
      "environment": null
    }
  ]
}